.quantity-selector {
  margin-bottom: 0.8rem;
  width: 100%;

  @include media("md") {
    margin-bottom: 0;
    margin-right: 1.6rem;
    width: 11rem;
  }

  > .quantity {
    align-items: center;
    border: 1px solid var(--gray-2);
    border-radius: 0.8rem;
    height: 5rem;
    justify-content: center;
    width: 100%;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
  }

  > .quantity .control {
    align-items: center;
    color: var(--gray-3);
    font-weight: var(--font-weight-base);
    display: flex;
    justify-content: center;
    font-size: 2.4rem;
  }

  > .quantity input {
    text-align: center;
    width: 100%;
    font-size: var(--font-size-small);
    font-weight: var(--font-weight-base);
    color: var(--gray-3);
    background-color: transparent;
    border: 0;
    -webkit-appearance: none;

    &:focus {
      outline: none;
    }

    &::-webkit-inner-spin-button {
      display: none;
    }
  }
}
